<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.crk.cplbusiness.mapper.SettlementManagementMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.unis.crk.cplbusiness.entity.SettlementManagement">
                    <id column="dataId" property="dataId" />
                    <result column="unitid" property="unitid" />
                    <result column="builder" property="builder" />
                    <result column="builderDate" property="builderDate" />
                    <result column="editor" property="editor" />
                    <result column="modifyDate" property="modifyDate" />
                    <result column="updateTime" property="updateTime" />
                    <result column="settlement_doc_no" property="settlementDocNo" />
                    <result column="receipt_doc_no" property="receiptDocNo" />
                    <result column="reviewer" property="reviewer" />
                    <result column="audit_status" property="auditStatus" />
                    <result column="audit_time" property="auditTime" />
                    <result column="remarks" property="remarks" />
                    <result column="order_no" property="orderNo" />
                    <result column="supplier_name" property="supplierName" />
                    <result column="trade_name" property="tradeName" />
                    <result column="warehousing_time" property="warehousingTime" />

        </resultMap>

    <select id="getPerData" resultType="java.util.Map">
        SELECT *   FROM  settlement_management
        <if test="ew.sqlSegment != null and ew.sqlSegment != ''">
            where  ${ew.sqlSegment}
        </if>
    </select>
    <select id="selectMyMapsPage" resultType="java.util.Map">
        SELECT *   FROM  settlement_management
        <if test="ew.sqlSegment != null and ew.sqlSegment != ''">
            where  ${ew.sqlSegment}
        </if>
    </select>
</mapper>
